#ifndef MAFICO_TEST_COMMON
#define MAFICO_TEST_COMMON

#include <cstdlib>
#include <iostream>
#include <type_traits>

template <typename T>
constexpr void test_var_type(T& var)
{}

void test_cond_f(bool cond, int line)
{
    if (!cond) {
        std::cerr << "Test failed at line " << line << "\n";
        exit(1);
    }
}

#define test_cond(__cond) test_cond_f(__cond, __LINE__)

#endif
