#include <mafico/collect.hpp>

#include <string>
#include <vector>

#include "test_common.hpp"

int main()
{
    using namespace std::string_literals;

    std::string name = "Romario";
    std::vector greet_parts{"Hello,"s, "my"s, "name"s, "is"s, name};
    auto greeting = mafico::collect(
        greet_parts, [](auto& greeting, auto& part){ return greeting + " " + part; });

    test_cond((greeting == " Hello, my name is Romario"));
}
